Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Create a contact group (legacy shop-nested)

Creates a customer group for the shop.

POST/shops/{shop_id}/customer_groups
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
shop_idintegerrequired
Request body
requiredapplication/json
namestringrequired
cart_requirements_list_idinteger
price_list_idinteger
allow_local_pickupboolean
allow_shippingboolean
Responses
201

Contact group created

422

Validation error

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -s -X POST \
  -H "Authorization: Bearer $BOLDER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"VIP Customers"}' \
  "https://api.onbolder.com/v2/shops/1/customer_groups"
Response
Contact group created

Was this page helpful?